GET /terms/acceptance
Acceptance status of the current terms
Console session only (signed-in console).
Responses
| Status | Description | Body |
|---|---|---|
200 | galon.cloud.terms-acceptance.v1: version, accepted, language, accepted_at |
Examples
curl
curl -X GET "$GALON_API_BASE/terms/acceptance" \
-H "Authorization: Bearer $GALON_API_KEY"POST /terms/acceptance
Accept the current terms (two checkboxes)
read = 'I have read', commit = 'I undertake to comply with them': two required true booleans. A new version requires a new acceptance before Mail activation and any sending.
Console session only (signed-in console).
Request body
application/json
| Field | Type | Description |
|---|---|---|
version | string · required | version returned by GET /terms |
language | string · required | language of the text read |
read | true · required | I have read the terms |
commit | true · required | I undertake to comply with them |
Responses
| Status | Description | Body |
|---|---|---|
200 | Already accepted | |
201 | Acceptance recorded | |
422 | Missing checkbox, stale version or unknown language |
Examples
curl
curl -X POST "$GALON_API_BASE/terms/acceptance" \
-H "Authorization: Bearer $GALON_API_KEY" \
-H "Content-Type: application/json" \
-d '{"version": "string", "language": "string", "read": true, "commit": true}'